Package ru.nilsoft.tm

# Class TMCommand.calc_methods

java.lang.Object
ru.nilsoft.tm.TMCommand.calc_methods

Enclosing class:
  `TMCommand`

public static final class TMCommand.calc_methods extends Object
Признаки способа расчета (тэг 1214).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `ADVANCE`
  Аванс.
  `static final byte`
  `CREDIT`
  Передача предмета расчёта без его оплаты в момент его передачи с последующей оплатой в кредит.
  `static final byte`
  `FULL_PAYMENT`
  Полная оплата, в том числе с учетом аванса (предварительной оплаты) в момент передачи предмета расчёта.
  `static final byte`
  `FULL_PREPAYMENT`
  Полная предварительная оплата до момента передачи предмета расчёта.
  `static final byte`
  `PART_PAYMENT`
  Частичная оплата предмета расчёта в момент его передачи с последующей оплатой в кредит.
  `static final byte`
  `PART_PREPAYMENT`
  Частичная предварительная оплата до момента передачи предмета расчёта.
  `static final byte`
  `PAY_CREDIT`
  Оплата предмета расчёта после его передачи с оплатой в кредит (оплата кредита).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `calc_methods()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FULL_PREPAYMENT

    public static final byte FULL_PREPAYMENT
    Полная предварительная оплата до момента передачи предмета расчёта.
    See Also:
      - Constant Field Values

  - ### PART_PREPAYMENT

    public static final byte PART_PREPAYMENT
    Частичная предварительная оплата до момента передачи предмета расчёта.
    See Also:
      - Constant Field Values

  - ### ADVANCE

    public static final byte ADVANCE
    Аванс.
    See Also:
      - Constant Field Values

  - ### FULL_PAYMENT

    public static final byte FULL_PAYMENT
    Полная оплата, в том числе с учетом аванса (предварительной оплаты) в момент передачи предмета расчёта.
    See Also:
      - Constant Field Values

  - ### PART_PAYMENT

    public static final byte PART_PAYMENT
    Частичная оплата предмета расчёта в момент его передачи с последующей оплатой в кредит.
    See Also:
      - Constant Field Values

  - ### CREDIT

    public static final byte CREDIT
    Передача предмета расчёта без его оплаты в момент его передачи с последующей оплатой в кредит.
    See Also:
      - Constant Field Values

  - ### PAY_CREDIT

    public static final byte PAY_CREDIT
    Оплата предмета расчёта после его передачи с оплатой в кредит (оплата кредита).
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### calc_methods

    public calc_methods()